<?php 

/**
 *
 * This source file is subject to the GNU GENERAL PUBLIC LICENSE (GPL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.gnu.org/licenses/gpl-3.0.txt
 */

if (!function_exists('urbamag_before_content_function')) {

	function urbamag_before_content_function( $type = "post" ) {

		if ( 
			$type == 'post' && 
			( 
				urbamag_setting('urbamag_enable_post_author', true) || 
				urbamag_setting('urbamag_enable_post_date', true)
			)
		) :

			echo '<div class="post-meta">';

				if ( urbamag_setting('urbamag_enable_post_author', true) == true ) :
					
					echo '<span class="post-meta-author">';

						echo esc_html(urbamag_setting('urbamag_post_author_label', __( 'Written by', 'urbamag' )));
						echo '&nbsp;';
						echo get_the_author_posts_link();

					echo '</span>';

				endif;

				if ( urbamag_setting('urbamag_enable_post_date', true) == true ) :
					
					echo '<span class="post-meta-date">';

						echo get_the_date();

					echo '</span>';

				endif;

			echo '</div>';

		endif;

		if ( ! urbamag_is_single() ) {

			do_action('urbamag_get_title', 'blog' ); 

		} else {

			if ( !urbamag_is_woocommerce_active('is_cart') ) :
	
				if ( urbamag_is_single() && !is_page_template() ) :
							 
					do_action('urbamag_get_title', 'single');
							
				else :
					
					do_action('urbamag_get_title', 'blog'); 
							 
				endif;
	
			endif;

		}

		if ( $type == 'post' ) :

			echo '<div class="post-meta">';

				if ( urbamag_setting('urbamag_enable_post_category', true ) == true ) :
					
					echo '<span class="post-meta-category">'; 

						the_category(' . '); 
					
					echo '</span>';
				
				endif;

				if ( urbamag_setting('urbamag_enable_post_icon', true ) == true ) :

					echo '<span class="post-meta-icon">'; 

						echo urbamag_posticon();
					
					echo '</span>';
					
				endif;

			echo '</div>';

		endif;

	} 
	
	add_action( 'urbamag_before_content', 'urbamag_before_content_function' );

}

?>